<html>
<head>
    <title>Javascript exercicio 8</title>
</head>
<body>
        

        
<script>
/*8.	Dados três valores X, Y, Z, verifique se eles podem ser os comprimentos dos lados de um triângulo e, se forem, verifique se é um triângulo eqüilátero, isósceles ou escaleno. Se eles não formarem um triângulo, escreva uma mensagem. Considere que:
    a.	O comprimento de cada lado de um triângulo é menor que a soma dos outros dois lados
    b.	Chama‐se equilátero o triângulo que tem três lados iguais
    c.	Denomina‐se isósceles o triângulo que tem o comprimento de dois lados iguais
    d.	Recebe o nome de escaleno o triângulo que tem os três lados diferentes.
    e.	Nenhum dos lados pode ter comprimento zero*/
	
	
            function Calculo(){
			
                var X= document.getElementById('txtX').value;

                var Y= document.getElementById('txtY').value;

                var Z = document.getElementById('txtZ').value;


                var XY= X+Y;

                var XZ= X+Z;

                var YZ= Y+Z;


                if( X == '' || Y == '' || Z == '' ){
                    alert('Algum campo deve estar em branco para não ter executadoo o programa!!');
                }else if( X >= 'a' || Y>= 'a' || Z >= 'a' ){
                    alert('Digite apenas numeros!!')
                }else if( X <YZ && Y <XZ && Z <XY ){
                    alert('algum dos valores é grande demais!!')
                    
                }else{
                    if( X == Y && X == Z && Y == Z ){
                        document.getElementById('Resultado').innerHTML= 'Os valores informados formão um Triangulo Equilatero';
                    }else if( X == Y || X == Z || Y == Z ){
                        document.getElementById('Resultado').innerHTML= 'Os valores informados formão um Triangulo Isoscele';
                    }else if( X != Y && X != Z && Y != Z ){
					           
                        document.getElementById('Resultado').innerHTML= 'Os valores informados formão um Triangulo Escaleno';
                    }
                }
            
            }
        </script>
		<h2>Classificador de Triangulo</h2>
		
        <label for="txtX">Vetor X: </label>
        <input type="text" id="txtX">
        <label for="txtY"> Vetor Y: </label>
        <input type="text" id="txtY">
        <label for="txtZ">Vetor Z:</label>
        <input type="text" id="txtZ"></br>
        <input type="button" value="Calcular!" onclick="Calculo()">


        <H2 id="Resultado">Resultado: </H2></br>
    </body>
</html>
